dnl acinclude.m4
dnl $Id: acinclude.m4,v 1.10 2004/02/20 11:10:47 tagga Exp $
dnl Author: TAGA Yoshitaka <tagga@tsuda.ac.jp>

# --with-backend="prog arg ..."
AC_DEFUN([AC_ESCM_CHECK_BACKEND],
[dnl
if test "$with_backend" = "no"; then
  AC_MSG_ERROR([The backend interpreter required.])
fi
if test "$DEFAULT_LANG" = "scm"; then
  if test "$with_backend" = "yes" || test "$with_backend" = ""; then
    with_backend=
    AC_CHECK_PROGS(with_backend, $1)
  fi
fi
if test "$with_backend" != ""; then
  backend_path=`echo $with_backend | sed -e "s/ .*//"`
  backend_args=`echo $with_backend | sed -e "s/^[[^ ]]*//"`
# add the default arguments.
  if test "$backend_path" = "gosh" -a "$backend_args" = ""; then
    backend_args=" -b"
  elif test "$backend_path" = "guile" -a "$backend_args" = ""; then
    backend_args=" -s /dev/stdin"
  fi
  backend_path=`which $backend_path`
  AC_CHECK_FILE($backend_path)
  backend_prog="$backend_path$backend_args"
  ESCM_BACKEND=$backend_prog
  AC_DEFINE_UNQUOTED(ESCM_BACKEND, ["$backend_prog"],
	[Command line to invoke the backend interpreter.])
  AC_SUBST(ESCM_BACKEND)fi
])
dnl end of acinclude.m4
